#include <Adafruit_NeoPixel.h>
#include <WS2812FX.h>

extern Adafruit_NeoPixel pixels;
extern WS2812FX ws2812fx;
extern byte btncounter;
extern volatile byte btnid;

extern int ledrotaterate;
extern byte isLEDmode;

#define LED_COUNT 14

void all_leds_off(){
  for(int i=0;i<LED_COUNT;i++){
    pixels.setPixelColor(i, pixels.Color(0,0,0));
    pixels.show();
  }  
}

void SetBrightness(byte a){  
  pixels.setBrightness(a); 
  ws2812fx.setBrightness(a);
}

void LED_WS2812FX(byte ledmode){
  ws2812fx.setMode(ledmode);
  ws2812fx.start();
  isLEDmode = 1;
}
